> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/CashDeclarationCashSales ## OpenAPI ````json GET /v26.4/CashDeclarationCashSales { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/CashDeclarationCashSales": { "get": { "tags": [ "CashDeclarationCashSales" ], "parameters": [ { "name": "StoreId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "PosTerminalId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "PosUserId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "CashDeclarationId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "CashDeclarationAttributeId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "CashRegisterGroupId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "VatId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "SalesLedgerId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "IsSpecialSalesOnly", "in": "query", "schema": { "$ref": "#/components/schemas/BooleanFilter" } }, { "name": "IncludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "ExcludeItemId", "in": "query", "schema": { "type": "integer", "format": "int32" } }, { "name": "OrderBy", "in": "query", "schema": { "type": "string" } }, { "name": "ModifiedSinceDateTime", "in": "query", "schema": { "type": "string", "format": "date-time" } } ], "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationCashSaleDTO" } } }, "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationCashSaleDTO" } } }, "text/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ViewCashDeclarationCashSaleDTO" } } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "BooleanFilter": { "enum": [ "All", "Yes", "No" ], "type": "string" }, "ViewCashDeclarationCashSaleDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "storeId": { "type": "integer", "format": "int32", "nullable": true }, "cashDeclarationAttributeId": { "type": "integer", "format": "int32", "nullable": true }, "salesExVat": { "type": "number", "format": "double", "nullable": true }, "salesVat": { "type": "number", "format": "double", "nullable": true }, "cashRegisterGroupId": { "type": "integer", "format": "int32", "nullable": true }, "vatId": { "type": "integer", "format": "int32", "nullable": true }, "vatPercentage": { "type": "number", "format": "double", "nullable": true }, "salesLedgerId": { "type": "integer", "format": "int32", "nullable": true }, "vatLedgerId": { "type": "integer", "format": "int32", "nullable": true }, "isSpecialSales": { "type": "boolean", "default": false }, "cashRegisterGroupCode": { "type": "string", "nullable": true }, "cashRegisterGroupDescription": { "type": "string", "nullable": true }, "vatCode": { "type": "string", "nullable": true }, "vatDescription": { "type": "string", "nullable": true }, "salesLedgerCode": { "type": "integer", "format": "int32", "nullable": true }, "salesLedgerDescription": { "type": "string", "nullable": true }, "vatLedgerCode": { "type": "integer", "format": "int32", "nullable": true }, "vatLedgerDescription": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````